/* Str.java
 * Programmet demonstrerar hur man kan använda sig
 * av Java APIet för att manipulera strängar
 */
class Str{
    
    // Metoden anropar på olika Sträng metoder från APIet
    static public void main(String[] args){
	String kursnamn = "TDDC77", are = ":are!";

	System.out.println("char at index 1: " + kursnamn.charAt(1));	

	System.out.println("compare to \"TDDC77\" gives: " + kursnamn.compareTo("TDDC77"));

	System.out.println("compare to \"Z\" gives: " + kursnamn.compareTo("Z"));

	System.out.println("Hej " + kursnamn.concat(are));	
	System.out.println("Hej " + kursnamn + are);	

	System.out.println("TDDC77 equals tddc77: " + kursnamn.equals("tddc77"));

	System.out.println("TDDC77 equals ignore case: " 
			   + kursnamn.equalsIgnoreCase("tddc77"));

	System.out.println("Length of TDDC77: " + kursnamn.length());

	System.out.println("Replace D by d in TDDC77: " 
			   + kursnamn.replace('D', 'd'));

	System.out.println("Substring of TDDC77 from 2 to 5: " 
			   + kursnamn.substring(2,5));

	System.out.println("To lower case: " + kursnamn.toLowerCase());

	System.out.println("To upper case: " + are.toUpperCase());
    }
}
